Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 28

Thread: failed to install sage 4.7.1 on ubuntu 11.10

  1. #11
    Join Date
    Oct 2007
    Beans
    94

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Thanks for the solution.
    Just wanted to let you know, that this works for sage-4.7.2-linux-64bit-ubuntu_10.04.3_lts-x86_64-Linux as well!

  2. #12
    Join Date
    Jan 2012
    Beans
    1

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Quote Originally Posted by vibration View Post
    I had the same issue. After installation of the package libssl0.9.8 it compiled without error.
    It worked. Thanks!

  3. #13
    Join Date
    Nov 2004
    Beans
    558
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    the compiled version of sage 4.8 runs (again, with libssl0.9.8 installed) on ubuntu 12.04 as well!

  4. #14
    Join Date
    May 2011
    Beans
    9

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Thanks libsssl0.9.8 did the trink

  5. #15
    Join Date
    Sep 2007
    Location
    UK
    Beans
    9
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Quote Originally Posted by surfer View Post
    the compiled version of sage 4.8 runs (again, with libssl0.9.8 installed) on ubuntu 12.04 as well!
    Sage usually has an official release just for LTS Ubuntu. And 12.04 will be one. So hopefully in May 2012 we will have Sage working out the box on 12.04.

  6. #16
    Join Date
    Mar 2007
    Beans
    763

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Quote Originally Posted by pietrucha23 View Post
    Sage usually has an official release just for LTS Ubuntu. And 12.04 will be one. So hopefully in May 2012 we will have Sage working out the box on 12.04.
    What do you mean by out the box? PPA? deb? in the repos for 12.04.1?

    I'll be looking forward to it. Thanks!

    Also, do you think that compiling by source will lead to performance advantages?

  7. #17
    Join Date
    Mar 2007
    Beans
    763

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Note that on 12.04, I did not need to install libssl. Everything worked smoothly. See here
    http://ubuntuforums.org/forumdisplay.php?f=169
    also, all of the tests from `make test` passed.

  8. #18
    Join Date
    Nov 2004
    Beans
    558
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    Also sage 5.0 can be donwnloaded and unzipped (again: the compiled version, no make needed) and works.

    did anyone try the PPA ppa:aims/sagemath ?

    (also compare with this thread).

  9. #19
    Join Date
    Feb 2007
    Location
    Albuquerque, NM US
    Beans
    307
    Distro
    Ubuntu Development Release

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    trying to install the binary for Ubuntu... worked before on pr 12.04 versions...now I am getting:
    ImportError: cannot import name md5

    I'm certain it's something simple I am just not sure what...any ideas?
    thanx
    rt
    cheap hardware....LOTS of it

  10. #20
    Join Date
    Nov 2004
    Beans
    558
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: failed to install sage 4.7.1 on ubuntu 11.10

    up to now, this always worked for me:

    Code:
    $ sudo apt-get install libssl0.9.8
    is this no longer the case for sage 5.0?

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •